import { Color } from "./utils/color";
import * as Palette from "./palette/index";
export declare class ColorClassifier {
    static throwError(msg: any): void;
    constructor(palette?: string[], algorithmType?: string);
    private _palette;
    updatePalette(value: string[]): void;
    readonly palette: Color[];
    private _algorithmType;
    algorithmType: string;
    classify(value: any): Color;
    classifyFromArray(colors: any[], format?: string): any[];
}
export { Palette };
